<?xml version='1.0' encoding='utf-8'?>
<odoo>

    <record id="perpustakaan_abc_penulis_view_search" model="ir.ui.view">
        <field name="name">perpustakaan.view.search</field>
        <field name="model">perpustakaan.abc.penulis</field>
        <field name="arch" type="xml">
            <search string="">
                <field name="name"></field>
                <field name="buku_ids"></field>
            </search>
        </field>
    </record>

    <record id="perpustakaan_abc_penulis_view_tree" model="ir.ui.view">
        <field name="name">perpustakaan_abc_penulis.view.tree</field>
        <field name="model">perpustakaan.abc.penulis</field>
        <field name="arch" type="xml">
            <tree string="">
                <field name="name" decoration-bf="1"></field>
                <field name="buku_ids" widget="many2many_tags"></field>
            </tree>
        </field>
    </record>

    <record id="perpustakaan_abc_penulis_action" model="ir.actions.act_window">
        <field name="name">Penulis Buku</field>
        <field name="res_model">perpustakaan.abc.penulis</field>
        <field name="view_mode">tree,form</field>
        <field name="domain">[]</field>
        <field name="context">{}</field>
        <!-- <field name="help" type="html">
            
        </field> -->
    </record>
    
    <menuitem
        id="perpustakaan_abc_penulis_menu"
        name="Penulis"
        action="perpustakaan_abc_penulis_action"
        parent="perpustakaan_abc_informasi_buku_root"
        sequence="10"/>

</odoo>